curl --request PUT \
--url 'https://api.stateset.com/api/v1/channels/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"integration": null,
"name": null,
"status": null
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
Update a channels
Update a channels
PUT
/
api
/
v1
/
channels
/
{id}
curl --request PUT \
--url 'https://api.stateset.com/api/v1/channels/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"integration": null,
"name": null,
"status": null
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
Path parameters
string
required
Channel ID
Request body
UpdateChannelRequest
string,null
string,null
string,null
Responses
ChannelResponse
ErrorBody
curl --request PUT \
--url 'https://api.stateset.com/api/v1/channels/{id}' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"integration": null,
"name": null,
"status": null
}'
{
"api_locked": true,
"channel_type": "string",
"created_at": "string",
"id": "string",
"integration": null,
"name": "string",
"status": "string"
}
โI